##
##  libspiro.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libspiro
Summary:      Bezier Spline Drawing Library
URL:          http://libspiro.sourceforge.net/
Vendor:       Raph Levien
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Libraries
License:      GPL
Version:      0.5.20150702
Release:      20160306

#   list of sources
Source0:      https://github.com/fontforge/libspiro/archive/%{version}.tar.gz
Patch0:       libspiro.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, automake, autoconf, libtool
PreReq:       OpenPKG, openpkg >= 20100101

%description
    Spiro simplifies the drawing of beautiful curves. Using Bézier
    splines an artist can easily draw curves with the same slope on
    either side of an on-curve point. Spiros, on the other hand, are
    based on clothoid splines which make it easy to maintain constant
    curvature as well as constant slope. Such curves will simply look
    nicer. Raph Levien's spiro splines only use on-curve points and so
    are easier to use and more intuitive to the artist.

%track
    prog libspiro = {
        version   = %{version}
        url       = https://github.com/fontforge/libspiro/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    autoreconf -i
    automake --foreign -Wall
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CONFIG_SHELL="%{l_bash}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

